org.apache.struts2.result

## Interface PlainResult

- All Superinterfaces:
    Result, Serializable

      public interface PlainResult
      extends Result

  This result can only be used in code, as a result of action's method, eg.:

  public PlainResult execute() { return response -> response.write(""); }

  Please notice the result type of the method is a PlainResult not a String.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.opensymphony.xwork2.Result

      `Result.LegacyAdapter`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.logging.log4j.Logger` | `LOG`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default void` | `execute(ActionInvocation invocation)`
    `default boolean` | `ignoreCommitted()` Controls if result should ignore already committed Http response If set to true only a warning will be issued and the rest of the result will be skipped
    `void` | `write(ResponseBuilder response)` Implement this method in action using lambdas

    - ### Methods inherited from interface com.opensymphony.xwork2.Result

      `adapt, execute`

- - ### Field Detail

    - #### LOG

          static final org.apache.logging.log4j.Logger LOG

  - ### Method Detail

    - #### execute

          default void execute(ActionInvocation invocation)
                        throws Exception

      Throws:
        `Exception`

    - #### write

          void write(ResponseBuilder response)

      Implement this method in action using lambdas
      Parameters:
        `response` - a response builder used to build a Http response

    - #### ignoreCommitted

          default boolean ignoreCommitted()

      Controls if result should ignore already committed Http response If set to true only a warning will be issued and the rest of the result will be skipped
      Returns:
        boolean false by default which means an exception will be thrown

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.